@echo off

echo Starting full build for midiio

rem
rem Simple build script for midiio.
rem You will need to have installed SWIG, Python and MinGW.
rem (Only the MinGW is needed; this build doesn't need MSYS)
rem Edit the SWIG and PYTHON variables below to reflect your
rem installation.
rem

set SWIG=C:\Program Files\SWIG-1.3.20\swig.exe
set PYTHON=C:\Program Files\Python23\python.exe

echo -- SWIG=   %SWIG%
echo -- PYTHON= %PYTHON%

"%SWIG%" -python winmm_midi.i
@if errorlevel 1 goto stop

set PYTHONLIB=%PYTHON:python.exe=libs\libpython23.a%
@if exist "%PYTHONLIB%" goto endlibpython

 @echo Creating libpython23.a
 pexports c:\windows\system32\python23.dll > python23.defs
 @if errorlevel 1 goto stop

 dlltool --dllname python23.dll --def python23.defs --output-lib "%PYTHONLIB%"
 @if errorlevel 1 goto stop

:endlibpython

@if exist libwinmm.a goto endlibwinmm

 @echo Creating libwinmm.a
 pexports c:\windows\system32\winmm.dll > winmm.defs
 @if errorlevel 1 goto stop

 dlltool --dllname winmm.dll --def winmm.defs --output-lib libwinmm.a
 @if errorlevel 1 goto stop

:endlibwinmm

@echo Building midiio
"%PYTHON%" setup.py build
@if errorlevel 1 goto stop

@echo Building binary installer
"%PYTHON%" setup.py bdist_wininst
@if errorlevel 1 goto stop

@dir dist

:stop
